from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XImageConsumer(XInterface, Protocol):
    def init(self, Width: int, Height: int) -> None: ...
    def setColorModel(self, BitCount: int, RGBAPal: sequence<long>, RedMask: int, GreenMask: int, BlueMask: int, AlphaMask: int) -> None: ...
    def setPixelsByBytes(self, nX: int, nY: int, nWidth: int, nHeight: int, aProducerData: sequence<byte>, nOffset: int, nScanSize: int) -> None: ...
    def setPixelsByLongs(self, nX: int, nY: int, nWidth: int, nHeight: int, aProducerData: sequence<long>, nOffset: int, nScanSize: int) -> None: ...
    def complete(self, Status: int, xProducer: XImageProducer) -> None: ...
